(*
#****m* SecDec/loop/src/deco/prepareinput.m
# NAME
#  prepareinput.m
# USAGE
#  called by subdir/graph/graph.m, run by decompose.pl
# PURPOSE
#  prepares necessary global variables for use in the decomposition
# NOTE
# Nn, xl, Dim are global, defined in graph.m; rank is determined in calcFU.m
# SEE ALSO
#  decomposition.m, decompose.pl
#****
*)
(* prepare input for  secdec *)

 
 npower=Length[powerlist];
 If[npower=!=Nn,
    Print["Warning, number of propagators should be equal to number of propagator powers"]
 ];

sumpow=Sum[powerlist[[ii]],{ii,Nn}];
gamdeno=Product[Gamma[powerlist[[ii]]], {ii,Nn}];

(* define exponents of F and U and prefactor *)

expoU=Simplify[sumpow-rank-(xl+1)*Dim/2];
expoF=Simplify[xl*Dim/2-sumpow];
prefacpole=0;
argGa=expoF/.{eps->0};
If[argGa==0, prefacpole=1];


prefac=(-1)^Simplify[(sumpow)/.eps->0]*
Gamma[Simplify[-xl*Dim/2+sumpow]]/gamdeno;


